diff -ruN bind-9.4.1_p1.original-not-compiled/work/bind-9.4.1-P1/contrib/dlz/drivers/dlz_postgres_driver.c bind-9.4.1_p1.patched-not-compiled/work/bind-9.4.1-P1/contrib/dlz/drivers/dlz_postgres_driver.c
--- bind-9.4.1_p1.original-not-compiled/work/bind-9.4.1-P1/contrib/dlz/drivers/dlz_postgres_driver.c	2005-10-26 08:57:23.000000000 +0400
+++ bind-9.4.1_p1.patched-not-compiled/work/bind-9.4.1-P1/contrib/dlz/drivers/dlz_postgres_driver.c	2008-04-07 17:06:27.000000000 +0400
@@ -51,6 +51,7 @@
  */
 
 #ifdef DLZ_POSTGRES
+#define CUT_TEMP_MSGS
 
 #include <config.h>
 #include <stdio.h>
@@ -297,10 +298,12 @@
 
 	REQUIRE(*rs == NULL);
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d Getting DBI", dlz_thread_num);
+#endif
 
 	/* get db instance / connection */
 #ifdef ISC_PLATFORM_USETHREADS
@@ -318,11 +321,13 @@
 
 #endif /* ISC_PLATFORM_USETHREADS */
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d Got DBI - checking query", dlz_thread_num);
 
+#endif
 	/* if DBI is null, can't do anything else */
 	if (dbi == NULL) {
 		result = ISC_R_FAILURE;
@@ -391,10 +396,12 @@
 		goto cleanup;
 	}
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d checked query", dlz_thread_num);
+#endif
 
 	/*
 	 * was a zone string passed?  If so, make it safe for use in
@@ -410,10 +417,12 @@
 		dbi->zone = NULL;
 	}
 
+#ifndef CUT_TEMP_MSGS    
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d did zone", dlz_thread_num);
+#endif
 
 	/*
 	 * was a record string passed?  If so, make it safe for use in
@@ -430,10 +439,12 @@
 	}
 
 
+#ifndef CUT_TEMP_MSGS    
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d did record", dlz_thread_num);
+#endif
 
 	/*
 	 * was a client string passed?  If so, make it safe for use in
@@ -449,10 +460,12 @@
 		dbi->client = NULL;
 	}
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 	DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d did client", dlz_thread_num);
+#endif
 
 	/*
 	 * what type of query are we going to run?
@@ -486,10 +499,12 @@
 		goto cleanup;
 	}
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d built query", dlz_thread_num);
+#endif
 
 	/* if the querystring is null, Bummer, outta RAM.  UPGRADE TIME!!!   */
 	if (querystring  == NULL) {
@@ -497,10 +512,12 @@
 		goto cleanup;
 	}
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d query is '%s'", dlz_thread_num, querystring);
+#endif
 
 	/*
 	 * output the full query string during debug so we can see
@@ -512,11 +529,13 @@
 
 	/* attempt query up to 3 times. */
 	for (j=0; j < 3; j++) {
+#ifndef CUT_TEMP_MSGS
 		/* temporary logging message */
 		isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 			      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 			      "%d executing query for %d time",
 			      dlz_thread_num, j);
+#endif
 		/* try to get result set */
 		*rs = PQexec((PGconn *)dbi->dbconn, querystring );
 		result = ISC_R_SUCCESS;
@@ -525,11 +544,13 @@
 		 * attempts.
 		 */
 		for (i=0; *rs == NULL && i < 3; i++) {
+#ifndef CUT_TEMP_MSGS
 			/* temporary logging message */
 			isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 				      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 				      "%d resetting connection",
 				      dlz_thread_num);
+#endif
 			result = ISC_R_FAILURE;
 			PQreset((PGconn *) dbi->dbconn);
 			/* connection ok, break inner loop */
@@ -538,18 +559,23 @@
 		}
 		/* result set ok, break outter loop */
 		if (PQresultStatus(*rs) == PGRES_TUPLES_OK) {
+#ifndef CUT_TEMP_MSGS
 			/* temporary logging message */
 			isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 				      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 				      "%d rs ok", dlz_thread_num);
+#endif
 			break;
 		} else {
 			/* we got a result set object, but it's not right. */
+#ifndef CUT_TEMP_MSGS
 			/* temporary logging message */
 			isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 				      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 				      "%d clearing rs", dlz_thread_num);
+#endif
 			PQclear(*rs);	/* get rid of it */
+            *rs = NULL;
 			/* in case this was the last attempt */
 			result = ISC_R_FAILURE;
 		}
@@ -558,10 +584,12 @@
  cleanup:
 	/* it's always good to cleanup after yourself */
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d cleaning up", dlz_thread_num);
+#endif
 
 	/* if we couldn't even allocate DBI, just return NULL */
 	if (dbi == NULL)
@@ -581,10 +609,12 @@
 
 #ifdef ISC_PLATFORM_USETHREADS
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d unlocking mutex", dlz_thread_num);
+#endif
 
 	/* release the lock so another thread can use this dbi */
 	isc_mutex_unlock(&dbi->instance_lock);
@@ -595,10 +625,12 @@
 	if (querystring  != NULL)
 		isc_mem_free(ns_g_mctx, querystring );
 
+#ifndef CUT_TEMP_MSGS
 	/* temporary logging message */
 	isc_log_write(dns_lctx, DNS_LOGCATEGORY_DATABASE,
 		      DNS_LOGMODULE_DLZ, ISC_LOG_ERROR,
 		      "%d returning", dlz_thread_num);
+#endif
 
 	/* return result */
 	return result;
